Python Problem [Solved]

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

Python Problem [Solved]

Postby vampyrex33 » Fri Apr 23, 2010 21:28

Well i was installing compiz-fusion and fusion-icon through terminal as root and i got this really strange error:

Code: Select all
 * Deprecation Warning: python_version() is deprecated and will be banned on 2010-07-01.
 * Use PYTHON() instead of python variable. Use python_get_*() instead of PYVER* variables.
 * The ebuild needs to be fixed. Please report a bug, if it has not been already reported.


Any ideas on how to update python to fix this?
Last edited by vampyrex33 on Sun Apr 25, 2010 20:07, edited 1 time in total.
vampyrex33
Baby Hen
 
Posts: 15
Joined: Tue Apr 20, 2010 22:46

Re: Python Problem

Postby albfneto » Sat Apr 24, 2010 7:29

had you tried install Compiz with Emerge or Equo command?, seems to me that was with emerge, not?

please, execute as common user this command:

Code: Select all
 
eselect python list


and post the result here.
ALBERTO FEDERMAN NETO
albfneto
albfneto@fcfrp.usp.br
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1689
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Re: Python Problem

Postby joost » Sat Apr 24, 2010 7:52

No need to worry about it.

This message is meant for the Gentoo ebuild maintainer calling a deprecated Portage function.
joost
Sagely Hen
 
Posts: 2548
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands


Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 1 guest